KListViewLineEdit Class Reference

`#include <klistviewlineedit.h>`

Inheritance diagram for KListViewLineEdit:

## Public Slots

void | terminate ()
void | load (QListViewItem *i, int c)
Public Slots inherited from KLineEdit
virtual void | setReadOnly (bool)
void | rotateText (KCompletionBase::KeyBindingType type)
virtual void | setCompletedText (const QString &)
void | setCompletedItems (const QStringList &items)
void | setCompletedItems (const QStringList &items, bool autoSuggest)
virtual void | clear ()
void | setSqueezedText (const QString &text)
virtual void | setText (const QString &)

## Signals

void | done (QListViewItem *, int)
Signals inherited from KLineEdit
void | completionBoxActivated (const QString &)
void | returnPressed (const QString &)
void | completion (const QString &)
void | substringCompletion (const QString &)
void | textRotation (KCompletionBase::KeyBindingType)
void | completionModeChanged (KGlobalSettings::Completion)
void | aboutToShowContextMenu (QPopupMenu *p)

## Public Member Functions

| KListViewLineEdit (KListView *parent)
QListViewItem * | currentItem () const
Public Member Functions inherited from KLineEdit
| KLineEdit (const QString &string, QWidget *parent, const char *name=0)
| KLineEdit (QWidget *parent=0, const char *name=0)
virtual | ~KLineEdit ()
void | setURL (const KURL &url)
void | cursorAtEnd ()
virtual void | setCompletionMode (KGlobalSettings::Completion mode)
virtual void | setContextMenuEnabled (bool showMenu)
bool | isContextMenuEnabled () const
void | setURLDropsEnabled (bool enable)
bool | isURLDropsEnabled () const
void | setTrapReturnKey (bool trap)
bool | trapReturnKey () const
virtual bool | eventFilter (QObject *, QEvent *)
KCompletionBox * | completionBox (bool create=true)
virtual void | setCompletionObject (KCompletion *, bool hsig=true)
virtual void | copy () const
void | setEnableSqueezedText (bool enable)
bool | isSqueezedTextEnabled () const
QString | originalText () const
void | setCompletionBox (KCompletionBox *box)
void | setClickMessage (const QString &msg)
QString | clickMessage () const
Public Member Functions inherited from KCompletionBase
KCompletion * | completionObject (bool hsig=true)
virtual void | setHandleSignals (bool handle)
bool | isCompletionObjectAutoDeleted () const
void | setAutoDeleteCompletionObject (bool autoDelete)
void | setEnableSignals (bool enable)
bool | handleSignals () const
bool | emitSignals () const
KGlobalSettings::Completion | completionMode () const
bool | setKeyBinding (KeyBindingType item, const KShortcut &key)
const KShortcut & | getKeyBinding (KeyBindingType item) const
void | useGlobalKeyBindings ()
virtual void | setCompletedText (const QString &text)=0
virtual void | setCompletedItems (const QStringList &items)=0
KCompletion * | compObj () const

## Protected Slots

void | slotSelectionChanged ()
void | slotItemRemoved (QListViewItem *i)
Protected Slots inherited from KLineEdit
virtual void | makeCompletion (const QString &)
void | slotAboutToShow ()
void | slotCancelled ()
void | userCancelled (const QString &cancelText)

## Protected Member Functions

virtual void | focusOutEvent (QFocusEvent *)
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | paintEvent (QPaintEvent *e)
virtual bool | event (QEvent *pe)
void | selectNextCell (QListViewItem *pi, int column, bool forward)
void | terminate (bool commit)
Protected Member Functions inherited from KLineEdit
virtual void | resizeEvent (QResizeEvent *)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseDoubleClickEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | contextMenuEvent (QContextMenuEvent *)
virtual QPopupMenu * | createPopupMenu ()
virtual void | drawContents (QPainter *p)
virtual void | dropEvent (QDropEvent *)
virtual void | setCompletedText (const QString &, bool)
void | setUserSelection (bool userSelection)
virtual void | create (WId=0, bool initializeWindow=true, bool destroyOldWindow=true)
virtual void | focusInEvent (QFocusEvent *)
bool | autoSuggest () const
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KCompletionBase
KeyBindingMap | getKeyBindings () const
void | setDelegate (KCompletionBase *delegate)
KCompletionBase * | delegate () const

## Protected Attributes

QListViewItem * | item
int | col
KListView *const | p

## Additional Inherited Members

Public Types inherited from KCompletionBase
enum | KeyBindingType
Properties inherited from KLineEdit
bool | contextMenuEnabled
bool | urlDropsEnabled
bool | trapEnterKeyEvent
bool | enableSqueezedText
QString | clickMessage

## Detailed Description

the editor for a KListView.

please don't use this.

Definition at line 28 of file klistviewlineedit.h.

## Member Function Documentation

void KListViewLineEdit::focusOutEvent | ( | QFocusEvent * | ev | ) |

protected virtual

Re-implemented for internal reasons.

API not affected.

See QLineEdit::focusOutEvent().

Reimplemented from KLineEdit.

Definition at line 381 of file klistview.cpp.

void KListViewLineEdit::keyPressEvent | ( | QKeyEvent * | e | ) |

protected virtual

Re-implemented for internal reasons.

API not affected.

See QLineEdit::keyPressEvent().

Reimplemented from KLineEdit.

Definition at line 343 of file klistview.cpp.

void KListViewLineEdit::selectNextCell | ( | QListViewItem * | pi,
|  | int | column,
|  | bool | forward
| ) |  |

protected

Since
  3.1

Definition at line 276 of file klistview.cpp.

void KListViewLineEdit::slotItemRemoved | ( | QListViewItem * | i | ) |

protected slot

Since
  3.5.4

Definition at line 414 of file klistview.cpp.

The documentation for this class was generated from the following files:

- klistviewlineedit.h
- klistview.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys